Bug 114390 - Developer support is missing info from any request filters
Developer support is missing info from any request filters
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 10:59 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-27 10:59:29 EST
Description of problem:
Filters defined in web.xml are run before the main servlet gets
control, and since developer support is only activated in BaseSevlet,
this means that any queries run by the Filters are missing. We should
move DeveloperSupport#startRequest and endRequest into a Filter
instead and map that in as the first filter on /.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Developer support query log is missing queries from filters

Expected results:
Developer support query log contains queries from filters


Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:32:07 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.